|  | reflex::AbstractMatcher::Context Struct Reference updated Sun Nov 5 2023 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
reflex::AbstractMatcher::Context Struct Reference

Context returned by before() and after() More...

`#include <absmatcher.h>`

## Public Member Functions

| Context ()
| Context (const char *buf, size_t len, size_t num)

## Public Attributes

const char * | buf
| pointer to buffer More...
size_t | len
| length of buffered context More...
size_t | num
| number of bytes shifted out so far, when buffer shifted More...

## Detailed Description

Context returned by before() and after()

## Constructor & Destructor Documentation

reflex::AbstractMatcher::Context::Context | ( |  | ) |

inline

reflex::AbstractMatcher::Context::Context | ( | const char * | buf,
|  | size_t | len,
|  | size_t | num
| ) |  |

inline

## Member Data Documentation

const char* reflex::AbstractMatcher::Context::buf

pointer to buffer

size_t reflex::AbstractMatcher::Context::len

length of buffered context

size_t reflex::AbstractMatcher::Context::num

number of bytes shifted out so far, when buffer shifted

The documentation for this struct was generated from the following file:

- absmatcher.h